Bug 51445 - Cannot make custom kernel bootdisk
Cannot make custom kernel bootdisk
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-10 11:37 EDT by Matthew Inger
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-06 12:47:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Inger 2001-08-10 11:37:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010701

Description of problem:
After starting with a fresh 7.1 install, I go into the kernel configurator,
and turn off ATAPI CD-ROM support, turn on SCSI Emulation and Generic SCSI
Support.  This will enable the use of
my CD-RW.  I then run "make dep", "make bzImage" and "make modules".
There are several problems:
1. "make modules" never completes successfully, it dies on a compile
2. If you ignore 1 (since i'm not updating or adding new modules anyway),
and do a "make install", then re-make the bootdisk, you
cannot boot with that disk. it gets about 2/3 of
the way through loading vmlinuz before it says "boot failed".

The only way i seem to be able to get a valid bootdisk is to
create one when I install the OS.

How reproducible:

Steps to Reproduce:
1. Reconfigure Kernel to turn off ATAPI CD-ROM support, turn on Generic
SCSCI and SCSI Emulation
2. Recompile and install the new kernel
3. Make a new bootdisk with the command "mkbootdisk --device /dev/fd0 2.4.2-2"
4. Reboot the computer with the new bootdisk

Actual Results:  Loading vmlinuz............
"Boot failed! Please insert another disk"

Expected Results:  The OS SHould have booted properly with the rebuilt kernel.

Additional info:

I have also tried the 2.4.3-12 kernel, and have the same problem.

Note You need to log in before you can comment on or make changes to this bug.